Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Meerdere Webcams aanspreken.  (gelezen 880 keer)

Offline WonderingWalker

  • Lid
    • http://hetmosterdzaadje.be
  • Steunpunt: Nee
Meerdere Webcams aanspreken.
« Gepost op: 2006/10/16, 17:02:36 »
Heren,

Bestaat er een progtramma om twee (of meer) webcams aan te spreken?
Zodat ik als het ware stereofotos en/of -beelden kan nemen?
Een andere toepassing kan zijn beveiliging;
Of timeslide foto's?

Alvast bedankt.
Wie niets doet met de kennis die hij heeft,
weet eigenlijk niets.
Cicero

Offline Tukcedo

  • Lid
    • http://www.tukcedo.nl
  • Steunpunt: Nee
Meerdere Webcams aanspreken.
« Reactie #1 Gepost op: 2006/10/17, 12:13:09 »
Ik gebruik de driver spca5xx en gspca van mxhaard.free.fr om een Philips SPC200N USB webcam aan te sturen. Werkt perfect. Er zijn twee "companion applicaties" spcacat en spcaview die je kunt gebruiken om bijv. foto's te maken. Deze apps kun je de parameter -d /dev/video0 meegeven. Nou heb ik maar 1 cameraatje dus ik kan het niet testen, maar ik denk dat je twee keer spcacat kunt opstarten, waarbij je de tweede de parameter -d /dev/video1 meegeeft.
Tukcedo Services - Unix en Linux Consultants
http://www.tukcedo.nl

budster

  • Gast
Meerdere Webcams aanspreken.
« Reactie #2 Gepost op: 2006/10/17, 12:27:50 »
Zoek eens op webcam in synaptic.Op sourceforge zijn ook wel wat dingetjes voor stereoscopie te vinden.

Citaat van: WonderingWalker
Heren,
.
enne Foei! we hebben hier ook meerdere dames rond lopen.

Offline Tukcedo

  • Lid
    • http://www.tukcedo.nl
  • Steunpunt: Nee
Meerdere Webcams aanspreken.
« Reactie #3 Gepost op: 2006/10/17, 13:31:43 »
Synaptic heeft standaard wel de spca5xx driver, maar dit is een oudere versie. Voor de huidige kernels moet je gspca gebruiken en die heb ik in Synaptic niet kunnen vinden. Even in de gaten houden dus.
Tukcedo Services - Unix en Linux Consultants
http://www.tukcedo.nl

Offline WonderingWalker

  • Lid
    • http://hetmosterdzaadje.be
  • Steunpunt: Nee
Meerdere Webcams aanspreken.
« Reactie #4 Gepost op: 2006/10/17, 22:51:31 »
Citaat van: budster
Citaat van: WonderingWalker
Heren,
.
enne Foei! we hebben hier ook meerdere dames rond lopen.
1 x excuus;
2 x excuus;
3 x excuus;
4 x excuus;
.
.
.
997 x excuus;
998 x excuus;
999 x excuus;
1000 x excuus.
Wie niets doet met de kennis die hij heeft,
weet eigenlijk niets.
Cicero

Offline WonderingWalker

  • Lid
    • http://hetmosterdzaadje.be
  • Steunpunt: Nee
Meerdere Webcams aanspreken.
« Reactie #5 Gepost op: 2006/10/17, 22:55:37 »
Citaat van: tukcedo
Synaptic heeft standaard wel de spca5xx driver, maar dit is een oudere versie. Voor de huidige kernels moet je gspca gebruiken en die heb ik in Synaptic niet kunnen vinden. Even in de gaten houden dus.
Ik heb de correcte driver kunnen vinden op
http://mxhaard.free.fr/download.html
En dar de debian file te vinden.

Nu nog proberen de zaak aan de praat te krijgen ...
Want sommige programma's kan ik installeren, echter ik vind ze nergens terug....

Ik zie ze niet in mijn "menu" staan, en een "program files"-dir heb ik nog niet gevonden bij Ubuntu.
Wie niets doet met de kennis die hij heeft,
weet eigenlijk niets.
Cicero

Offline Tukcedo

  • Lid
    • http://www.tukcedo.nl
  • Steunpunt: Nee
Meerdere Webcams aanspreken.
« Reactie #6 Gepost op: 2006/10/18, 09:42:11 »
Ik vrees dat het een terminal-venstertje gaat worden beste WW.

Je moet het gedownloade bestand uitpakken en vervolgens compileren. Dit genereert een module welke je in de kernel moet plaatsen. Je kunt van dezelfde site ook de utilities spcacat en spcaview downloaden (ook uitpakken en compileren) en daarmee de werking controleren.

Laat het even weten als deze termen hierboven je absoluut niks zeggen, dan help ik je een verder. Just in case hier alvast een bloemlezing, waarbij ik ervan uitga dat het download bestand in je homedirectory staat:

$ tar xvfz gspca-xxx.tar.gz
$ cd gspca-xxx
$ make
$ sudo make install
$ sudo modprobe gspca

De laatste regel kun je weglaten voor de utilities.

Je hebt make en gcc nodig (evt. installeren via Synaptic) ...

Succes!
Tukcedo Services - Unix en Linux Consultants
http://www.tukcedo.nl